tpm_getpubek(8)

TPM Management - tpm_getpubek

NAME
tpm_getpubek - display the public portion of the TPM's Endorsement Key

SYNOPSIS
tpm_getpubek [OPTION]

DESCRIPTION

tpm_getpubek requests the TPM's public portion of the Endorsement Key (via the TPM_ReadPubek API). This operation can be restricted to require owner authorization, in that case the command will prompt for the owner password and request the data. The key information is output on a successful call.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-z, --well-known
    Authenticate using 20 bytes of zeros as owner password (the default TSS Well Known Secret), instead of prompting for an owner password.

SEE ALSO

tpm_version(1), tpm_takeownership(8), tpm_restrictpubek(8), tpm_createek(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>